flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ufuk Celebi <...@apache.org>
Subject Re: [DISCUSS] Deprecate Spargel API for 0.9
Date Wed, 11 Mar 2015 09:30:58 GMT

On 10 Mar 2015, at 22:02, Vasiliki Kalavri <vasilikikalavri@gmail.com> wrote:

> Hi all,
> 
> I would like your opinion on whether we should deprecate the Spargel API in
> 0.9.
> 
> Gelly doesn't depend on Spargel, it actually contains it -- we have copied
> the relevant classes over. I think it would be a good idea to deprecate
> Spargel in 0.9, so that we can inform existing Spargel users that we'll
> eventually remove it.

+1. I think it's OK as we want all Graph API users to go against Gelly in the future. I don't
even think that many people are using Spargel as we never really promoted it heavily.

> Also, I think the fact that we have 2 Graph APIs in the documentation might
> be a bit confusing for newcomers. One might wonder why do we have them both
> and when shall they use one over the other?
> 
> It might be a good idea to add a note in the Spargel guide that would
> suggest to use Gelly instead and a corresponding note in the beginning of
> the Gelly guide to explain that Spargel is part of Gelly now. Or maybe a
> "Gelly or Spargel?" section. What do you think?

+1, but I wouldn't hint to that prominently in the beginning. I think a section about Spargel
at the end, where you explain that it was our initial take at graph processing and a link
the respective (old) docs should be fine for people who have already used it.
Mime
View raw message